QXmppMessageReceiptManager Class Reference
Managers

The QXmppMessageReceiptManager class makes it possible to send and receive message delivery receipts as defined in XEP-0184: Message Delivery Receipts. More...

`#include <QXmppMessageReceiptManager.h>`

Inheritance diagram for QXmppMessageReceiptManager:
[legend]
Collaboration diagram for QXmppMessageReceiptManager:
[legend]

## Signals

void | messageDelivered (const QString &jid, const QString &id)
Signals inherited from QXmppLoggable
void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Public Member Functions

| QXmppMessageReceiptManager ()
Public Member Functions inherited from QXmppClientExtension
| QXmppClientExtension ()
virtual | ~QXmppClientExtension ()
virtual QStringList | discoveryFeatures () const
virtual QList< QXmppDiscoveryIq::Identity > | discoveryIdentities () const
virtual bool | handleStanza (const QDomElement &stanza)=0
| You need to implement this method to process incoming XMPP stanzas. More...
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=0)

## Additional Inherited Members

Protected Member Functions inherited from QXmppClientExtension
QXmppClient * | client ()
virtual void | setClient (QXmppClient *client)
Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
void | info (const QString &message)
void | warning (const QString &message)
void | logReceived (const QString &message)
void | logSent (const QString &message)

## Detailed Description

The QXmppMessageReceiptManager class makes it possible to send and receive message delivery receipts as defined in XEP-0184: Message Delivery Receipts.

## Constructor & Destructor Documentation

## QXmppMessageReceiptManager()

QXmppMessageReceiptManager::QXmppMessageReceiptManager | ( |  | ) |

Constructs a QXmppMessageReceiptManager to handle incoming and outgoing message delivery receipts.

## Member Function Documentation

## messageDelivered

void QXmppMessageReceiptManager::messageDelivered | ( | const QString & | jid,
|  | const QString & | id
| ) |  |

signal

This signal is emitted when receipt for the message with the given id is received. The id could be previously obtained by calling QXmppMessage::id().

The documentation for this class was generated from the following files:

- QXmppMessageReceiptManager.h
- QXmppMessageReceiptManager.cpp